Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #1092

Reread metadata on play option
April 28, 2021 18:28 - Artem S. Tashkinov

Status: New Start date: April 28, 2021
Priority: Minor Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Affects version: 4.1

Description

After adding files from the disk Audacious seems to never reread them even if the underlying file and its metadata have changed.
That's very inconvenient.

Ways to approach this issue:

e Either unconditionally reread and parse them no matter what (OS cache will help anyways)
¢ Reread tags only if file size or file modification time has changed (this will not be reliable but will work for 99.99% of cases)

History

#1 - April 30, 2021 02:36 - John Lindgren

- Tracker changed from Bug to Feature

#2 - April 30, 2021 03:35 - John Lindgren
F5 will refresh the playlist from disk.
